var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
var cacheBaseComp = null;
class RotationChartCtl extends CtlBase {
  constructor() {
    super("aggregation", CtlBase.getServiceName(RotationChartCtl));
  }
  async create(pobj, qobj, req) {
    pobj.company_id = req && req.xctx && req.xctx.companyid ? req.xctx.companyid : "";
    const up = await this.service.create(pobj);
    return up;
  }

  async update(pobj, qobj, req) {
    const up = await this.service.update(pobj);
    return up;
  }

  async updates(pobj, qobj, req) {
    const up = await this.service.updates(pobj);
    return up;
  }
}
module.exports = RotationChartCtl;
